Skip to main content
GET
/
v1
/
rates
/
{id}
Get Rate
curl --request GET \
  --url https://api.blockradar.co/v1/rates/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.blockradar.co/v1/rates/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.blockradar.co/v1/rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "createdAt": "2026-02-19T07:50:17.042Z",
    "createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
    "deactivatedAt": null,
    "deactivatedBy": null,
    "deactivationReason": null,
    "fromAsset": "BNB",
    "id": "d69078ef-2467-40f4-bb00-63394efe32c0",
    "isActive": true,
    "maxAmount": null,
    "minAmount": "0.000005",
    "network": "testnet",
    "previousRateId": null,
    "rate": "1",
    "rootRateId": "d69078ef-2467-40f4-bb00-63394efe32c0",
    "status": "active",
    "toAsset": "USDC",
    "version": 1
  },
  "message": "Rate retrieved successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required
Example:

"rate_id"

Response

200 - application/json

200

data
object
message
string
Example:

"Rate retrieved successfully"

statusCode
number
Example:

200